include:
  - template: SAST.gitlab-ci.yml
  - template: Dependency-Scanning.gitlab-ci.yml

variables:
  SAST_DISABLED: 'true'
  SECURE_LOG_LEVEL: 'DEBUG'

# gemnasium-maven-dependency_scanning:
#   before_script:

spotbugs-sast:
  script:
  - export PATH=/opt/asdf/shims:/opt/asdf/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  - mvn package > /dev/null
  - sh /spotbugs/dist/bin/spotbugs2 -include /spotbugs/include.xml -exclude /spotbugs/exclude.xml -pluginList /fsb/lib/findsecbugs-plugin.jar -effort:max -xml $(find web -name *.class) >  find-sec-bugs-report.xml && cat find-sec-bugs-report.xml
  - /analyzer convert find-sec-bugs-report.xml > gl-sast-report.json && cat gl-sast-report.json

spotbugs-sast:api:
  extends: spotbugs-sast
  script:
  - export PATH=/opt/asdf/shims:/opt/asdf/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  - mvn package > /dev/null
  - sh /spotbugs/dist/bin/spotbugs2 -include /spotbugs/include.xml -exclude /spotbugs/exclude.xml -pluginList /fsb/lib/findsecbugs-plugin.jar -effort:max -xml $(find api -name *.class) >  find-sec-bugs-report.xml && cat find-sec-bugs-report.xml
  - /analyzer convert find-sec-bugs-report.xml > gl-sast-report.json && cat gl-sast-report.json


spotbugs-sast:model:
  extends: spotbugs-sast
  script:
  - export PATH=/opt/asdf/shims:/opt/asdf/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  - mvn package > /dev/null
  - sh /spotbugs/dist/bin/spotbugs2 -include /spotbugs/include.xml -exclude /spotbugs/exclude.xml -pluginList /fsb/lib/findsecbugs-plugin.jar -effort:max -xml $(find model -name *.class) >  find-sec-bugs-report.xml && cat find-sec-bugs-report.xml
  - /analyzer convert find-sec-bugs-report.xml > gl-sast-report.json && cat gl-sast-report.json

